VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
vmware::vapi::std::errors::NotAllowedInCurrentState Class Reference

The `NotAllowedInCurrentState` error indicates that the requested method is not allowed with a resource or service in its current state. More...

Inherits vmware::vapi::std::errors::Error.

List of all members.

## Public Member Functions
| NotAllowedInCurrentState (global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > messages, vmware.vapi.bindings.IStructure data)
| Creates a new instance of this type using the given arguments.
| NotAllowedInCurrentState ()
| Creates a default new instance.
override vmware.vapi.bindings.type.StructType | _GetType ()
override vmware.vapi.data.StructValue | _GetDataValue ()
override void | _Validate ()
override bool | _HasTypeNameOf< T > ()
override T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
## Properties
override string | Message`[get]`

## Detailed Description

The `NotAllowedInCurrentState` error indicates that the requested method is not allowed with a resource or service in its current state.

This could be because the method is performing a configuration change that is not allowed in the current state or because method itself is not allowed in the current state.

Examples:

- Trying to add a virtual device that cannot be hot plugged to a running virtual machine.
- Trying to upgrade the virtual hardware version for a suspended virtual machine.
- Trying to power off, reset, or suspend a virtual machine that is not powered on.

Counterexamples:

- Trying to power off a virtual machine that is in the process of being powered on. The ResourceBusy error would be used instead.

## Constructor & Destructor Documentation

vmware::vapi::std::errors::NotAllowedInCurrentState::NotAllowedInCurrentState | ( | global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > | messages,
|  | vmware.vapi.bindings.IStructure | data
| ) |  | `[inline]`

Creates a new instance of this type using the given arguments.

vmware::vapi::std::errors::NotAllowedInCurrentState::NotAllowedInCurrentState | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

override T vmware::vapi::std::errors::NotAllowedInCurrentState::_ConvertTo< T > | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override vmware.vapi.data.StructValue vmware::vapi::std::errors::NotAllowedInCurrentState::_GetDataValue | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override vmware.vapi.bindings.type.StructType vmware::vapi::std::errors::NotAllowedInCurrentState::_GetType | ( |  | ) | `[inline, virtual]`

Reimplemented from vmware::vapi::std::errors::Error.

override bool vmware::vapi::std::errors::NotAllowedInCurrentState::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override void vmware::vapi::std::errors::NotAllowedInCurrentState::_Validate | ( |  | ) | `[inline, virtual]`

Reimplemented from vmware::vapi::std::errors::Error.

override bool vmware::vapi::std::errors::NotAllowedInCurrentState::Equals | ( | object | obj | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override int vmware::vapi::std::errors::NotAllowedInCurrentState::GetHashCode | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

## Property Documentation

override string vmware::vapi::std::errors::NotAllowedInCurrentState::Message`[get]`

Reimplemented from vmware::vapi::std::errors::Error.

The documentation for this class was generated from the following file:

- NotAllowedInCurrentState.cs